ContentSearch API PROD

ContentSearch API PROD

v1.114.1OAS 3.0

API to retrieve corporate news and stories.
Internal Documentation |
Support

API Base URL
  • Server 1:https://api.migros.ch
Security
apiKeyAuth (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-Api-Key.

Example: X-Api-Key: 123

Additional Information

ContenthubNews returns detailed information about a single Contenthub news item identified by its slug or its ID as a path parameter.

get
https://api.migros.ch/migros/contentsearch/v1/contenthub/news/{slugOrId}

Query Parameters

languagestring

Optional. Specifies the language in which the news article should be
returned. If not provided, the default language is German.

Allowed values:DEFRITEN

Default:DE

Path Parameters

slugOrIdstringrequired

Required. Path parameter for the news item.
Represents either the slug or the ID of the news item. Only one value
should be provided.

Response

application/json

A successful response.

Response to an attempt to retrieve a Contenthub news item either by its slug
or by its ID.

newsobject

Optional. The news item with the requested slug or ID.

Show Child Parameters
get/migros/contentsearch/v1/contenthub/news/{slugOrId}
 
application/json

SearchContenthubNewsTeaser returns news articles that match the given search term and optional filters.

post
https://api.migros.ch/migros/contentsearch/v1/contenthub/newsteaser/search

Body

application/json
doNotMatcharray[object]

Optional. Terms not to be matched, multiple terms will be combined with an
“AND” relationship.

Show Child Parameters
languagestring

Optional. If set, only news matching this language will be returned. By
default, german news are returned.

Allowed values:DEFRITEN

Default:DE

matcharray[object]

Optional. Terms to be matched, multiple terms will be combined with an
“AND” relationship.

Show Child Parameters
optionsobject

Optional. OutputOptions for pagination and sorting.

Show Child Parameters
searchTermstring

Optional. Search Term for fulltext-search.

timeTermsarray[object]

TimeTerm filters a time field. Either min, max or both should be provided.

Show Child Parameters

Response

application/json

A successful response.

newsTeaserarray[object]

Optional. If news items matching the requested criteria were found, they’re
in here.

Show Child Parameters
totalHitsstring(int64)

Total number of news items for this request, not taking options.page_size
into account.

post/migros/contentsearch/v1/contenthub/newsteaser/search

Body

{}
 
application/json

ListContenthubTags lists available Tags for Contenthub Newsteaser.

get
https://api.migros.ch/migros/contentsearch/v1/contenthub/newsteaser/tags

Query Parameters

languagestring

Specifies in which language tag titles should be returned. Defaults to
German.

Allowed values:DEFRITEN

Default:DE

categoryFilterarray[string]

Optional. Filter the Tags by category.

Response

application/json

A successful response.

tagsarray[object]

Total number of tags for this request, not taking page_size into
account.

Show Child Parameters
get/migros/contentsearch/v1/contenthub/newsteaser/tags
 
application/json